LogisticOperatorListView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.lists
Class LogisticOperatorListView

    java.lang.Object
      com.fenalco.utilities.lists.LogisticOperatorListView

All Implemented Interfaces:
  ListView

    public class LogisticOperatorListView

extends java.lang.Object
implements ListView

Author:
  Andrés TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private java.lang.Object` | `actualKey` La llave actual que se está trabajando, se usa para tener acceso a los objetos que se deben mostrar de ese elemento de la lista
`private LogisticOperator` | `actualValue` valor actual en el que se está trabajando, es decir, la fila actual de la lista
`private int` | `count` contador que indica en que columna voy
`private java.util.Enumeration` | `keys` Como el listado es un hashtable, aqui almaceno los keys
`(package private) LogisticOperatorList` | `logisticOperatorList` El listado (modelo o documento)
`private java.util.Vector` | `valuesToShow` aqui se almacenan los datos que se van a mostrar en las diferentes columnas de la lista

Constructor Summary
`LogisticOperatorListView(LogisticOperatorList list)`

Method Summary
`boolean` | `move()` (non-Javadoc)
`java.lang.Object` | `nextElement()` (non-Javadoc)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logisticOperatorList

    LogisticOperatorList logisticOperatorList

  El listado (modelo o documento)

### keys

    private java.util.Enumeration keys

  Como el listado es un hashtable, aqui almaceno los keys

### actualKey

    private java.lang.Object actualKey

  La llave actual que se está trabajando, se usa para tener acceso a los objetos que se deben mostrar de ese elemento de la lista

### actualValue

    private LogisticOperator actualValue

  valor actual en el que se está trabajando, es decir, la fila actual de la lista

### valuesToShow

    private java.util.Vector valuesToShow

  aqui se almacenan los datos que se van a mostrar en las diferentes columnas de la lista

### count

    private int count

  contador que indica en que columna voy

Constructor Detail

### LogisticOperatorListView

    public LogisticOperatorListView(LogisticOperatorList list)

Method Detail

### move

    public boolean move()

  (non-Javadoc)

  Specified by:
    `move` in interface `ListView`
  See Also:
    `ListView.move()`

### nextElement

    public java.lang.Object nextElement()

  (non-Javadoc)

  Specified by:
    `nextElement` in interface `ListView`
  See Also:
    `ListView.nextElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD